Name:		pcp-oracle-conf	
Version:	1
Release:	6%{?dist}
Summary:	pcp-oracle-conf - Config files for pmlogger and pmrep

License: 	The Universal Permissive License (UPL), Version 1.0
Source0: 	pcp-oracle-conf-1.tar.bz2
Requires:	pcp-zeroconf 


%description
Configuration files for pmrep and pmlogger utilities for Oracle Linux
 
%prep

%global debug_package %{nil}

%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/pcp/pmrep/
mkdir -p $RPM_BUILD_ROOT/var/lib/pcp/config/pmlogger/
install -m 0644 config.ora $RPM_BUILD_ROOT/var/lib/pcp/config/pmlogger/config.ora
install -m 0644 ora_pmrep.conf $RPM_BUILD_ROOT/etc/pcp/pmrep/ora_pmrep.conf

%post

if [ "$1" -eq 1 ]; then

 # modify pmlogger control file to use to config.ora instead of config.default
 sed -i 's/config.default/config.ora/g' "/etc/pcp/pmlogger/control.d/local"
 
 # configure pmlogger archive retention
 sed -i 's/^\#PMLOGGER_DAILY_PARAMS.*/PMLOGGER_DAILY_PARAMS="-x 1 -k 7 -R"/g' "/etc/sysconfig/pmlogger_timers"
 
 # disable access checks in pmdaproc 
 sed -i 's/pmdaproc.*\-d/pmdaproc -A -d/g' "/etc/pcp/pmcd/pmcd.conf"
 
 # disable access checks in pmdalinux
 sed -i 's/pmdalinux.*/pmdalinux -A/g' "/etc/pcp/pmcd/pmcd.conf"

fi

/bin/systemctl restart pmcd.service >/dev/null 2>&1
/bin/systemctl restart pmlogger.service >/dev/null 2>&1

%postun

if [ "$1" -eq 0 ]; then

 # modify pmlogger control file to use config.default instead of config.ora
 sed -i 's/config.ora/config.default/g' "/etc/pcp/pmlogger/control.d/local"
 
 # Revert pmdalinux and pmdaproc config
 sed -i 's/pmdaproc -A/pmdaproc\ /g' "/etc/pcp/pmcd/pmcd.conf"
 sed -i 's/pmdalinux -A/pmdalinux\ /g' "/etc/pcp/pmcd/pmcd.conf"

fi

/bin/systemctl restart pmcd.service >/dev/null 2>&1
/bin/systemctl restart pmlogger.service >/dev/null 2>&1

%files
%defattr(-,root,root,-)
%config /etc/pcp/pmrep/ora_pmrep.conf
%config /var/lib/pcp/config/pmlogger/config.ora
%doc LICENSE.txt 

%changelog
* Tue May 13 2025 sagar sagar <sagar.sagar@oracle.com> - 1-6
- Released pcp-oracle-conf for ol10 [Orabug: 37942139]

